# Search API Target Bundle Filter
Allows each reference field on the index to have some target bundle values filtered out.

## The use case it was designed for

In Drupal 8 a reference field can reference multiple bundles. Therefore, a single field can for example reference
many taxonomies. However, the facets module will only see this field as one facet. With this processor the same reference
field can be added many times and then filtered by each bundle or for some bundles to provide separate facets.

## How to use:

* Add one or more reference fields to the index selecting the base reference object (numeric id).
* If replacing with labels select the data type string even though the original values will be integer
* Add "Index hierarchy" before this processor if desired
* Activate at least one of these reference fields in this processors settings and select some bundle values to filter out

The result will have the reference fields indexed but including only the selected bundles.
If enabled in the settings it will replace the ids with the labels.
